> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/legacy/vm/virtual-machine-instance/inquirypriceinstancebandwidth.md).

# InquiryPriceInstanceBandwidth

## 1. 接口描述

本接口(InquiryPriceInstanceBandwidth)用于虚拟机实例修改带宽询价。

{% hint style="info" %}
**注意事项**

* 仅当虚拟机实例的[`internetChargeType`](/api-reference/cn/legacy/vm/datastructure.md#internetchargetype)为`ByBandwidth`时可用，接口会返回价格。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                    | 必选 | 类型      | 描述                                 |
| ----------------------- | -- | ------- | ---------------------------------- |
| instanceId              | 是  | String  | 待操作的实例ID。                          |
| internetMaxBandwidthOut | 是  | Integer | <p>出口带宽大小。</p><p>可选值范围：\[1, +)</p> |

## 3. 响应结果

| 参数名称           | 类型                                                                           | 描述                                                       |
| -------------- | ---------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId      | String                                                                       | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| bandwidthPrice | Array of [PriceItem](/api-reference/cn/legacy/vm/datastructure.md#priceitem) | 公网带宽价格。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 实例修改带宽询价**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceBandwidth
<Common Request Params>

Request：
{
  "instanceId": "instanceId",
  "internetMaxBandwidthOut": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "bandwidthPrice": {
        "discount": 100.0,
        "discountPrice": null,
        "originalPrice": null,
        "unitPrice": 1.32,
        "discountUnitPrice": 1.32,
        "chargeUnit": "HOUR",
        "stepPrices": null
     }
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                     | 说明                   |
| ------- | ------------------------------------------------------- | -------------------- |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND                           | 指定的实例不存在。            |
| 403     | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | 指定的区域不支持对应的公网网络计费方式。 |
| 400     | INVALID\_INSTANCE\_TYPE\_ZONE\_NO\_SELL                 | 所选规格在所选区域已售罄或未开售。    |
